summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2010-05-12 23:30:09 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:30:09 +0200
commitf37db1111955832906878ef5d923870b62d39832 (patch)
treee2e5e90312ad722f0d251a19fb863cf8b89a73d2 /libraries
parente78f8bcb0c2c5fc1d6db94fb8863fe718ea21110 (diff)
downloadslackbuilds-f37db1111955832906878ef5d923870b62d39832.tar.gz
slackbuilds-f37db1111955832906878ef5d923870b62d39832.tar.xz
libraries/enca: Added to 12.2 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/enca/README7
-rw-r--r--libraries/enca/enca.SlackBuild76
-rw-r--r--libraries/enca/enca.info8
-rw-r--r--libraries/enca/slack-desc19
4 files changed, 110 insertions, 0 deletions
diff --git a/libraries/enca/README b/libraries/enca/README
new file mode 100644
index 0000000000..39b8bc59b9
--- /dev/null
+++ b/libraries/enca/README
@@ -0,0 +1,7 @@
+Enca detects the encoding of text files, on the basis of knowledge of
+their language. It can also convert them to other encodings, allowing
+you to recode files without knowing their current encoding. It supports
+most of Central and East European languages, and a few Unicode variants,
+independently on language.
+
+Optionally recode can be compiled with enca if found. \ No newline at end of file
diff --git a/libraries/enca/enca.SlackBuild b/libraries/enca/enca.SlackBuild
new file mode 100644
index 0000000000..c52e5c3276
--- /dev/null
+++ b/libraries/enca/enca.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+# Slackware build script for enca
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=enca
+VERSION=${VERSION:-1.9}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-static=no \
+ --enable-shared=yes \
+ --enable-gtk-doc \
+ --enable-external \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog* COPYING FAQ INSTALL NEWS \
+ README* THANKS TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/enca/enca.info b/libraries/enca/enca.info
new file mode 100644
index 0000000000..2388549d5e
--- /dev/null
+++ b/libraries/enca/enca.info
@@ -0,0 +1,8 @@
+PRGNAM="enca"
+VERSION="1.9"
+HOMEPAGE="http://directory.fsf.org/project/enca/"
+DOWNLOAD="http://archlinux-stuff.googlecode.com/files/enca-1.9.tar.bz2"
+MD5SUM="b3581e28d68d452286fb0bfe58bed3b3"
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED=dsomero
diff --git a/libraries/enca/slack-desc b/libraries/enca/slack-desc
new file mode 100644
index 0000000000..b6a8139b89
--- /dev/null
+++ b/libraries/enca/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+enca: enca (Extremely Naive Charset Analyser)
+enca:
+enca: Enca is an Extremely Naive Charset Analyser. It detects character
+enca: set and encoding of text files and can also convert them to other
+enca: encodings.
+enca:
+enca: Homepage: http://freshmeat.net/projects/enca/
+enca:
+enca:
+enca:
+enca: